Bug 1322343 - Documentation regarding direct device assignment (PCI passthrough) needs clarification
Summary: Documentation regarding direct device assignment (PCI passthrough) needs clar...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-3.6.9
: ---
Assignee: Julie
QA Contact: Tahlia Richardson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-30 10:55 UTC by Martin Polednik
Modified: 2019-12-16 05:35 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Hardware considerations for implementing SR-IOV -> rename to Hardware considerations for PCI passthrough Switch chapter 1 and 2 (make sure the wording is fine) CHAPTER 1. HARDWARE CONSIDERATIONS FOR USING PCI PASSTHROUGH Append paragraph describing GPU support - copy/reword 1st paragraph of https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Virtualization_Deployment_and_Administration_Guide/sect-device-GPU.html Installation Guide New section after 8 (Red Hat Enterprise Linux Hosts): Configuring hypervisor for PCI passthrough 0) Enable VT-d or AMD-Vi in BIOS 1) Enable IOMMU (/etc/default/grub) Can be skipped on POWER platform. Mention difference in grub editing - RHEL vs RHEV-H (https://access.redhat.com/solutions/294393) 1.1) Intel RHEL: GRUB_CMDLINE_LINUX="nofb splash=quiet console=tty0 ... intel_iommu=on" RHEV-H: kernel /vmlinuz-2.6.32-279.19.1.el6.x86_64.debug ro rhgb quiet ... intel_iommu=on 1.2) AMD RHEL: GRUB_CMDLINE_LINUX="nofb splash=quiet console=tty0 ... amd_iommu=on" RHEV-H: kernel /vmlinuz-2.6.32-279.19.1.el6.x86_64.debug ro rhgb quiet ... amd_iommu=on 1.4) Possible alternative: [intel/amd]_iommu=pt Benefits: only enables IOMMU for devices used in passthrough, possibility of better host performance Pitfalls: may not work on all hosts To consider: try with [intel/amd]_iommu=on, after successful setup try [intel/amd]_iommu=pt - use the later if everything works, revert to former if not 2) (troubleshooting) Mention to ignore this section UNLESS something breaks when assigning devices to a VM/VM doesn't start 2.1) allow_unsafe_interrupts Mention interrupt remaping https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Virtualization_Deployment_and_Administration_Guide/chap-Guest_virtual_machine_device_configuration.html#sect-PCI_devices-Assigning_a_PCI_device_with_virsh (copy/reword the first note) 3) GPU passthrough Copy section "GPU Passthrough" from http://www.ovirt.org/develop/release-management/features/engine/hostdev-passthrough/ note: Make sure to specify GPU vendor when mentioning blacklisting the driver (rdblacklist=nouveau is for NVIDIA). Also try to keep the organization as follows: - finding device vendor:product id - appending to cmdline (pci-stub.ids) - blacklisting nouveau in case NVIDIA is used Ignore guest side and verification in this part of the guide. 4) Regenerate GRUB not required in RHEV-H grub2-mkconfig -o /boot/grub2/grub.cfg 5) Reboot the host - In case of GPU passthrough, (use verify section from link in 3)) Virtual Machine Management Guide Chapter 6.9 Host Devices 2nd paragraph (currently linking to RHEL documentation) -> reword and refer to updated installation guide 3rd paragraph -> refer to renamed Hardware considerations for PCI passthrough New paragraph after 6.9.1 (Adding a Host Device to a Virtual Machine): Guest Operating System setup for GPU passthrough (or better name), needs to contain following points: - Linux guest -> only proprietary GPU drivers are supported -> open source drivers must be blacklisted (GPU passthrough -> guest side of http://www.ovirt.org/develop/release-management/features/engine/hostdev-passthrough/#GPU_Passthrough) - make sure to differentiate GPU vendor -> xorg must be configured (https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Virtualization_Deployment_and_Administration_Guide/sect-device-GPU.html last 3 paragraphs) - Windows guest Install the virtual machine using only a SPICE or VNC console. After the installation is complete, install the correct drivers for the device and restart the virtual machine. If the GPU output is to be used, use the Windows display settings to configure the physical screen connected to the GPU as either a extension, mirror, or single screen of the operating system.
Clone Of:
Environment:
Last Closed: 2016-08-22 21:05:57 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1470382 None CLOSED [Docs][HowTo] SR-IOV steps need clarification 2019-10-29 15:06:03 UTC
Red Hat Knowledge Base (Solution) 58078 None None None 2016-11-29 22:06:17 UTC

Internal Links: 1470382

Description Martin Polednik 2016-03-30 10:55:41 UTC
Description of problem:
The documentation is centered in virtual machine management document. We need to avoid linking to the RHEL documentation as it is too cluttered and not understandable for people dealing only with RHEV.

The improvements are mentioned in doc text.

Comment 2 Lucy Bopf 2016-05-05 07:01:05 UTC
Assigning to Julie for review.

Comment 4 Marina Kalinin 2016-05-11 17:28:03 UTC
We need to make sure it also provides documentation for RHEV-H hosts.
Most of the customers are running RHEV-H and not plain RHEL, and there is a big interest in this feature to be deployed on it.

Comment 5 Julie 2016-05-19 05:47:23 UTC
I've been reading through the existing content we have for sr-iov and device passthrough, and I think it might be a good idea to link the content together and create a tutorial-like section so the procedures are more useful to customers. For example:
Task: How to enable host device passthrough and sr-iov to allow assigning dedicated virtual NICS to specific virtual machines

1. Enable hardware for passthrough and sr-iov technology (RHEL Deployment and Administration Guide, SR-IOV hardware considerations) 

2. Enable software side for host device passthrough (https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6/html-single/Administration_Guide/index.html#Preparing_GPU_Passthrough )

3. Edit SR-IOV-capable NICs (https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6/html/Administration_Guide/chap-Logical_Networks.html#Editing_VFs_on_NIC) 

4. Enabling Passthrough on a vNIC Profile (https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6/html/Administration_Guide/sect-Virtual_Network_Interface_Cards.html#Marking_vNIC_as_Passthrough )

5. Enable software side for vm to allow host device to be attached (https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6/html-single/Virtual_Machine_Management_Guide/index.html#Adding_Host_Devices_to_a_Virtual_Machine )

6. Verify the setup.

Any feedback?

Comment 6 Martin Polednik 2016-05-19 07:09:48 UTC
I like it, but I'm not sure if this isn't more of a knowledge base article rather than documentation. But having this tutorial-like setup guide regardless of where would be nice!

My concern is - would you expect it to replace the documentation that is/would be in installation guide, administration guide? If I imagine myself deploying RHEV, I'd expect hostdev/SR-IOV to be working after going through installation and only use the tutorial to verify that everything is set up correctly.

Comment 9 Julie 2016-07-11 02:27:08 UTC
Hi Martin,
   I sent you an email a few days ago. Can you please have a look and let me know if you have any feedback?

Kind regards,
Julie

Comment 10 Martin Polednik 2016-07-25 11:19:07 UTC
Answered the email with feedback.

Comment 15 Marina Kalinin 2016-11-29 22:06:18 UTC
Thanks, Julie and Martin.
I also put this information into this kcs:
https://access.redhat.com/solutions/58078


Note You need to log in before you can comment on or make changes to this bug.